> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a customer

> Use this endpoint to delete a customer with Meld and/or with any of the service providers it is linked to. This endpoint should only be used for customers using the Bank-Linking stack, as it is not yet compatible with the Payments or Crypto stack. If a customer is deleted that is linked to a Payments or Crypto service provider customer, it will still be deleted with Meld, but not with the provider.

***Note:*** For customers using the Bank-Linking stack, this will delete all of the customer's connections and financial accounts as well.



## OpenAPI

````yaml /openapi/customer-20260203.json delete /accounts/customers/{customerId}
openapi: 3.1.0
info:
  title: CUSTOMER
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Virtual Account
    description: ''
  - name: Customers
paths:
  /accounts/customers/{customerId}:
    delete:
      tags:
        - Customers
      summary: Delete a customer
      description: >-
        Use this endpoint to delete a customer with Meld and/or with any of the
        service providers it is linked to. This endpoint should only be used for
        customers using the Bank-Linking stack, as it is not yet compatible with
        the Payments or Crypto stack. If a customer is deleted that is linked to
        a Payments or Crypto service provider customer, it will still be deleted
        with Meld, but not with the provider.


        ***Note:*** For customers using the Bank-Linking stack, this will delete
        all of the customer's connections and financial accounts as well.
      operationId: accounts-customers-delete
      parameters:
        - name: customerId
          in: path
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity.
          required: true
          schema:
            type: string
            default: ''
        - name: serviceProviders
          in: query
          description: >-
            Comma separated list of service providers. If present, the customer
            will ***only*** be deleted with these specified service provider(s),
            but the Meld customer will remain active. This can be useful for
            when service providers impose restrictions on the number of
            customers allowed in their sandbox/development environments. In such
            cases, you may only want to delete the customer with that provider,
            but maintain it for other providers it is connected to, if any. If
            this parameter is absent, then the customer will be deleted with all
            the service providers it is linked to and the Meld customer will be
            deleted as well.


            ***Note:*** Currently, this endpoint only supports deleting
            [Bank-Linking service
            provider](https://docs.meld.io/docs/bank-linking-supported-service-providers)
            customers. Therefore, Payments/Crypto service providers ***should
            not*** be included.
          required: false
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Customer is deleted
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CustomerDeletedResponse'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '404':
          description: Customer cannot be found
          content:
            '*/*':
              schema:
                additionalProperties:
                  default: ''
                default: ''
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Customer already deleted
          content:
            '*/*':
              schema:
                additionalProperties:
                  default: ''
                default: ''
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CustomerDeletedResponse:
      type: object
      properties:
        id:
          type: string
          description: The id of the customer deleted
        isDeleted:
          type: boolean
          default: false
          description: >-
            True if the Meld customer was deleted as well and can no longer be
            used anymore. This will only be true if no service providers were
            passed into the request
          example: false
        serviceProviderCustomersDeleted:
          type: object
          additionalProperties:
            type: string
          description: >-
            The service provider customers deleted for this customer, if any. A
            map of the service provider to the provider's id for the customer
      required:
        - id
        - isDeleted
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        displayMessage:
          type: string
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        requestId:
          type: string
        serviceProviderDetails:
          type: object
          additionalProperties: {}
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````